Bug 186651 - kpilotDeamon crashes with "buffer overflow detected" (pilot-link problem ?)
kpilotDeamon crashes with "buffer overflow detected" (pilot-link problem ?)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-24 19:07 EST by Mathieu Brabant
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-03 08:20:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
KDE Crash Handler log & STDERR output (9.09 KB, text/plain)
2006-03-24 19:07 EST, Mathieu Brabant
no flags Details

  None (edit)
Description Mathieu Brabant 2006-03-24 19:07:13 EST
Description of problem:
  kpilotDeamon crashes with "buffer overflow detected" everytime it attemps to load.

Version-Release number of selected component (if applicable):
  kdepim RPM: 3.5.1-1.2
  Qt: 3.3.5
  KDE: 3.5.1-2.3 Red Hat
  KPilot Daemon: 4.6.0 (blivit)

How reproducible:
  Every time.  Tried on two different systems (with same version of apps).

Steps to Reproduce:
  1. Launch kpilot
  2. Configure "General setup - Device"
  or, afterwards:
  1. Launch kpilotDeamon.
  
Actual results:
  The KDE Crash handler comes up saying KPilot Deamon has crashed.

Expected results:
  Not crashing !

Additional info:
  Attached KDE Crash Handler log & STDERR output.
Comment 1 Mathieu Brabant 2006-03-24 19:07:13 EST
Created attachment 126681 [details]
KDE Crash Handler log & STDERR output
Comment 2 Mathieu Brabant 2006-03-24 20:52:45 EST
Well, problem seems to be originating from pilot-link.

Compiled and installed pilot-link from source (which was also crashing with
"buffer overflow detected" when used manually)

kpilotDeamon no longer crashes, but cannot read from device :

---------- kpilot log ----------
20:36:55 Pilot device /dev/pilot does not exist. Probably it is a USB device and
will appear during a HotSync.
20:36:59 Device link ready.  (When pressing hotsync button on device)
20:37:30 Unable to read system information from Pilot
--------------------------------

Manually using pilot-addresses command (from pilot-link) works _some_ times. 
Here's what I do:

  1. Press hotsync button on device
  2. Wait for /dev/pilot to be created (1-2 seconds)
     (If not you get an error "Unable to bind to port")
  3. Execute "pilot-addresses -p /dev/pilot -w -" command

  90% of the time it will wait forever saying "Listening for incoming connection
on /dev/pilot..."

  10% of the time it will say "connected" and work properly.


Forgot to mention that the device is a Palm Tungsten E2 connected using USB.

Anything else I could try to better troubleshoot this problem ?  Any other info
I could provide ?

Source for open-link I used is at
http://katerina.frederic.k12.wi.us/mirror/pilot-link/pilot-link-0.12.0-pre4.tar.gz

Comment 3 Ngo Than 2006-05-03 08:20:26 EDT
It looks a bug in pilot-link and it's fixed in fc5-update. You should Please
update to new packages. Thanks for your report

Note You need to log in before you can comment on or make changes to this bug.